Package: org.codehaus.groovy.ast.expr

## [Java] Class ArrayExpression

- org.codehaus.groovy.ast.expr.ArrayExpression

- Represents an array object construction either using a fixed size or an initializer expression

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ArrayExpression (ClassNode elementType, List<Expression> expressions, List<Expression> sizeExpression)`
    `ArrayExpression (ClassNode elementType, List<Expression> expressions)` Creates an array using an initializer expression

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addExpression(Expression expression)`
    `` | `ClassNode` | `getElementType()`
    `` | `Expression` | `getExpression(int i)`
    `` | `List<Expression>` | `getExpressions()`
    `` | `List<Expression>` | `getSizeExpression()`
    `` | `String` | `getText()`
    `` | `boolean` | `isDynamic()`
    `` | `String` | `toString()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ArrayExpression(ClassNode elementType, List<Expression> expressions, List<Expression> sizeExpression)

    - #### public ArrayExpression(ClassNode elementType, List<Expression> expressions)

      Creates an array using an initializer expression

  - ### Method Detail

    - #### public void addExpression(Expression expression)

    - #### public ClassNode getElementType()

    - #### public Expression getExpression(int i)

    - #### public List<Expression> getExpressions()

    - #### public List<Expression> getSizeExpression()

    - #### public String getText()

    - #### public boolean isDynamic()

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)